Skip to content

Instantly share code, notes, and snippets.

@csexton csexton/heroku.log
Created Aug 1, 2019

Embed
What would you like to do?
-----> Ruby app detected
-----> Compiling Ruby/Rails
-----> Using Ruby version: ruby-2.5.3
-----> Installing dependencies using bundler 2.0.2
Running: bundle install --without development:test --path vendor/bundle --binstubs vendor/bundle/bin -j4 --deployment
Using rake 12.3.3
Using concurrent-ruby 1.1.5
Using i18n 1.6.0
Using minitest 5.11.3
Using thread_safe 0.3.6
Using tzinfo 1.2.5
Using zeitwerk 2.1.9
Using activesupport 6.0.0.rc2
Using builder 3.2.3
Using erubi 1.8.0
Using mini_portile2 2.4.0
Using nokogiri 1.10.3
Using rails-dom-testing 2.0.3
Using crass 1.0.4
Using loofah 2.2.3
Using rails-html-sanitizer 1.0.4
Using actionview 6.0.0.rc2
Using rack 2.0.7
Using rack-test 1.1.0
Using actionpack 6.0.0.rc2
Using nio4r 2.4.0
Using websocket-extensions 0.1.4
Using websocket-driver 0.7.1
Using actioncable 6.0.0.rc2
Using globalid 0.4.2
Using activejob 6.0.0.rc2
Using activemodel 6.0.0.rc2
Using activerecord 6.0.0.rc2
Using mimemagic 0.3.3
Using marcel 0.3.3
Using activestorage 6.0.0.rc2
Using mini_mime 1.0.2
Using mail 2.7.1
Using actionmailbox 6.0.0.rc2
Using actionmailer 6.0.0.rc2
Using actiontext 6.0.0.rc2
Using bcrypt 3.1.13
Using msgpack 1.3.0
Using bootsnap 1.4.4
Using bundler 2.0.2
Using execjs 2.7.0
Using multipart-post 2.1.1
Using faraday 0.15.4
Using ffi 1.11.1
Using hashie 3.6.0
Using jbuilder 2.9.1
Using jwt 2.2.1
Using omniauth 1.9.0
Using multi_json 1.13.1
Using multi_xml 0.6.0
Using oauth2 1.4.1
Using omniauth-oauth2 1.6.0
Using method_source 0.9.2
Using thor 0.20.3
Using railties 6.0.0.rc2
Using sprockets 3.7.2
Using sprockets-rails 3.2.1
Using rails 6.0.0.rc2
Using kracken 0.4.2 from https://github.com/RadiusNetworks/omniauth-radius-rails.git (at master@d9b13d2)
Using pg 1.1.4
Using puma 3.12.1
Using rack-proxy 0.6.5
Using radius-rails 2.1.0 from https://github.com/RadiusNetworks/radius-rails.git (at master@3f31448)
Using rb-fsevent 0.10.3
Using rb-inotify 0.10.0
Using redis 4.1.2
Using sass-listen 4.0.0
Using sass 3.7.4
Using tilt 2.0.9
Using sass-rails 5.0.7
Using temple 0.8.1
Using slim 4.0.1
Using slim-rails 3.2.0
Using turbolinks-source 5.2.0
Using turbolinks 5.2.0
Using uglifier 4.1.20
Using webpacker 4.0.7
Bundle complete! 24 Gemfile dependencies, 77 gems now installed.
Gems in the groups development and test were not installed.
Bundled gems are installed into `./vendor/bundle`
Bundle completed (0.47s)
Cleaning up the bundler cache.
-----> Installing node-v10.15.3-linux-x64
-----> Installing yarn-v1.16.0
-----> Detecting rake tasks
-----> Preparing app for Rails asset pipeline
Running: rake assets:precompile
yarn install v1.16.0
[1/4] Resolving packages...
[2/4] Fetching packages...
info fsevents@1.2.9: The platform "linux" is incompatible with this module.
info "fsevents@1.2.9" is an optional dependency and failed compatibility check. Excluding it from installation.
info fsevents@2.0.7: The platform "linux" is incompatible with this module.
info "fsevents@2.0.7" is an optional dependency and failed compatibility check. Excluding it from installation.
[3/4] Linking dependencies...
warning " > sass-loader@7.1.0" has unmet peer dependency "webpack@^3.0.0 || ^4.0.0".
warning " > webpack-dev-server@3.7.2" has unmet peer dependency "webpack@^4.0.0".
warning "webpack-dev-server > webpack-dev-middleware@3.7.0" has unmet peer dependency "webpack@^4.0.0".
[4/4] Building fresh packages...
info This package requires node-gyp, which is not currently installed. Yarn will attempt to automatically install it. If this fails, you can run "yarn global add node-gyp" to manually install it.
[1/4] Resolving packages...
[2/4] Fetching packages...
[3/4] Linking dependencies...
[4/4] Building fresh packages...
success Installed "node-gyp@5.0.3" with binaries:
- node-gyp
Done in 45.96s.
I, [2019-08-01T16:21:43.938214 #261] INFO -- : Writing /tmp/build_b6d942494af54889b656091b0e3a440f/public/assets/radius-theme/logo-890d7082b18e821c64305e15394dfd3b0d6cc54cccd157ec9055e6dc91060ebd.png
I, [2019-08-01T16:21:43.942508 #261] INFO -- : Writing /tmp/build_b6d942494af54889b656091b0e3a440f/public/assets/radius-theme/logo-single-c3fb3c7c953cbdaa72a1b11ceea77885c87f0fca14021b1e7c61bce65e7c10f1.png
I, [2019-08-01T16:21:43.947171 #261] INFO -- : Writing /tmp/build_b6d942494af54889b656091b0e3a440f/public/assets/readme-01f7412f13f06dc6ff53afd37aa7e11716889f0637b28232bf9faed4e4b36e26.png
I, [2019-08-01T16:21:43.985503 #261] INFO -- : Writing /tmp/build_b6d942494af54889b656091b0e3a440f/public/assets/application-35729bfbaf9967f119234595ed222f7ab14859f304ab0acc5451afb387f637fa.css
I, [2019-08-01T16:21:43.985638 #261] INFO -- : Writing /tmp/build_b6d942494af54889b656091b0e3a440f/public/assets/application-35729bfbaf9967f119234595ed222f7ab14859f304ab0acc5451afb387f637fa.css.gz
I, [2019-08-01T16:21:44.218875 #261] INFO -- : Writing /tmp/build_b6d942494af54889b656091b0e3a440f/public/assets/kracken/application-fed7594354f41c527f9e8dab7f766cd780129ed1fd04e8c0646a72b825ad8e8b.js
I, [2019-08-01T16:21:44.219041 #261] INFO -- : Writing /tmp/build_b6d942494af54889b656091b0e3a440f/public/assets/kracken/application-fed7594354f41c527f9e8dab7f766cd780129ed1fd04e8c0646a72b825ad8e8b.js.gz
I, [2019-08-01T16:21:44.225534 #261] INFO -- : Writing /tmp/build_b6d942494af54889b656091b0e3a440f/public/assets/kracken/application-e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855.css
I, [2019-08-01T16:21:44.226123 #261] INFO -- : Writing /tmp/build_b6d942494af54889b656091b0e3a440f/public/assets/kracken/application-e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855.css.gz
I, [2019-08-01T16:21:44.974009 #261] INFO -- : Writing /tmp/build_b6d942494af54889b656091b0e3a440f/public/assets/express/lib/application-9232ebdb20ad39572e70fb9e29810e63dbb63b58f5f18617c7c2bc8bd28321b5.js
I, [2019-08-01T16:21:44.974183 #261] INFO -- : Writing /tmp/build_b6d942494af54889b656091b0e3a440f/public/assets/express/lib/application-9232ebdb20ad39572e70fb9e29810e63dbb63b58f5f18617c7c2bc8bd28321b5.js.gz
Compiling…
Compilation failed:
WARNING: We noticed you're using the `useBuiltIns` option without declaring a core-js version. Currently, we assume version 2.x when no version is passed. Since this default version will likely change in future versions of Babel, we recommend explicitly setting the core-js version you are using via the `corejs` option.
You should also be sure that the version you pass to the `corejs` option matches the version specified in your `package.json`'s `dependencies` section. If it doesn't, you need to run one of the following commands:
npm install --save core-js@2 npm install --save core-js@3
yarn add core-js@2 yarn add core-js@3
Hash: dc5ef2c5266e066d0666
Version: webpack 4.39.0
Time: 14828ms
Built at: 08/01/2019 4:22:02 PM
6 assets
Entrypoint application = js/application-f3327f159a68706cac82.js js/application-f3327f159a68706cac82.js.map
[1] (webpack)/buildin/module.js 497 bytes {0} [built]
[9] ./app/javascript/channels/index.js 205 bytes {0} [built]
[10] ./app/javascript/channels sync _channel\.js$ 160 bytes {0} [built]
[13] ./app/javascript/theme/angle/js/modules/tables/bootgrid.js 4.02 KiB {0} [built]
[14] ./app/javascript/theme/angle/js/modules/forms/forms.js 1.04 KiB {0} [built]
[15] ./app/javascript/theme/angle/js/modules/common/constants.js 494 bytes {0} [built]
[16] ./app/javascript/theme/angle/js/modules/common/wrapper.js 11.7 KiB {0} [built]
[17] ./app/javascript/theme/angle/js/modules/common/slimscroll.js 309 bytes {0} [built]
[18] ./app/javascript/theme/angle/js/modules/common/sidebar.js 3.69 KiB {0} [built]
[19] ./app/javascript/theme/angle/js/modules/common/toggle-state.js 1.9 KiB {0} [built]
[21] ./app/javascript/theme/angle/js/modules/common/card-tools.js 4.45 KiB {0} [built]
[22] ./app/javascript/theme/angle/js/modules/common/trigger-resize.js 653 bytes {0} [built]
[23] ./app/javascript/theme/angle/js/modules/common/bootstrap-start.js 573 bytes {0} [built]
[28] ./app/javascript/theme/style.scss 2.85 KiB {0} [built] [failed] [1 error]
[29] ./app/javascript/packs/application.js + 1 modules 3.04 KiB {0} [built]
| ./app/javascript/packs/application.js 790 bytes [built]
| ./app/javascript/theme/script.js 2.2 KiB [built]
+ 15 hidden modules
ERROR in ./app/javascript/theme/style.scss
Module build failed (from ./node_modules/mini-css-extract-plugin/dist/loader.js):
ModuleBuildError: Module build failed (from ./node_modules/sass-loader/lib/loader.js):
Error: ENOENT: no such file or directory, scandir '/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/node-sass/vendor'
at Object.readdirSync (fs.js:785:3)
at Object.getInstalledBinaries (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/node-sass/lib/extensions.js:131:13)
at foundBinariesList (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/node-sass/lib/errors.js:20:15)
at foundBinaries (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/node-sass/lib/errors.js:15:5)
at Object.module.exports.missingBinary (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/node-sass/lib/errors.js:45:5)
at module.exports (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/node-sass/lib/binding.js:15:30)
at Object.<anonymous> (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/node-sass/lib/index.js:14:35)
at Module._compile (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/v8-compile-cache/v8-compile-cache.js:192:30)
at Object.Module._extensions..js (internal/modules/cjs/loader.js:712:10)
at Module.load (internal/modules/cjs/loader.js:600:32)
at tryModuleLoad (internal/modules/cjs/loader.js:539:12)
at Function.Module._load (internal/modules/cjs/loader.js:531:3)
at Module.require (internal/modules/cjs/loader.js:637:17)
at require (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/v8-compile-cache/v8-compile-cache.js:161:20)
at Object.sassLoader (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/sass-loader/lib/loader.js:46:72)
at runLoaders (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/webpack/lib/NormalModule.js:313:20)
at /tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/loader-runner/lib/LoaderRunner.js:367:11
at /tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/loader-runner/lib/LoaderRunner.js:233:18
at runSyncOrAsync (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/loader-runner/lib/LoaderRunner.js:143:3)
at iterateNormalLoaders (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/loader-runner/lib/LoaderRunner.js:232:2)
at Array.<anonymous> (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/loader-runner/lib/LoaderRunner.js:205:4)
at Storage.finished (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/enhanced-resolve/lib/CachedInputFileSystem.js:43:16)
at provider (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/enhanced-resolve/lib/CachedInputFileSystem.js:79:9)
at /tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/graceful-fs/graceful-fs.js:90:16
at FSReqWrap.readFileAfterClose [as oncomplete] (internal/fs/read_file_context.js:53:3)
@ ./app/javascript/packs/application.js 11:24-47
Child mini-css-extract-plugin node_modules/css-loader/dist/cjs.js??ref--7-1!node_modules/postcss-loader/src/index.js??ref--7-2!node_modules/sass-loader/lib/loader.js??ref--7-3!app/javascript/theme/style.scss:
Entrypoint mini-css-extract-plugin = *
[0] ./node_modules/css-loader/dist/cjs.js??ref--7-1!./node_modules/postcss-loader/src??ref--7-2!./node_modules/sass-loader/lib/loader.js??ref--7-3!./app/javascript/theme/style.scss 1.63 KiB {0} [built] [failed] [1 error]
ERROR in ./app/javascript/theme/style.scss (./node_modules/css-loader/dist/cjs.js??ref--7-1!./node_modules/postcss-loader/src??ref--7-2!./node_modules/sass-loader/lib/loader.js??ref--7-3!./app/javascript/theme/style.scss)
Module build failed (from ./node_modules/sass-loader/lib/loader.js):
Error: ENOENT: no such file or directory, scandir '/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/node-sass/vendor'
at Object.readdirSync (fs.js:785:3)
at Object.getInstalledBinaries (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/node-sass/lib/extensions.js:131:13)
at foundBinariesList (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/node-sass/lib/errors.js:20:15)
at foundBinaries (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/node-sass/lib/errors.js:15:5)
at Object.module.exports.missingBinary (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/node-sass/lib/errors.js:45:5)
at module.exports (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/node-sass/lib/binding.js:15:30)
at Object.<anonymous> (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/node-sass/lib/index.js:14:35)
at Module._compile (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/v8-compile-cache/v8-compile-cache.js:192:30)
at Object.Module._extensions..js (internal/modules/cjs/loader.js:712:10)
at Module.load (internal/modules/cjs/loader.js:600:32)
at tryModuleLoad (internal/modules/cjs/loader.js:539:12)
at Function.Module._load (internal/modules/cjs/loader.js:531:3)
at Module.require (internal/modules/cjs/loader.js:637:17)
at require (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/v8-compile-cache/v8-compile-cache.js:161:20)
at Object.sassLoader (/tmp/build_b6d942494af54889b656091b0e3a440f/node_modules/sass-loader/lib/loader.js:46:72)
!
! Precompiling assets failed.
!
! Push rejected, failed to compile Ruby app.
! Push failed
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.